Sysinstall vs pkg_add

cecchetto.freebsd a tiscali.it cecchetto.freebsd a tiscali.it
Dom 6 Mar 2005 20:18:49 CET


Ciao. Dopo aver installato una 5.3 nel desktop di casa mia (cos win se ne
 finalmente andato in pensione per sempre...), e aver installato sempre
tutto tramite sysinstall o ports, un giorno mi sono deciso a dare quel famigerato

portupgrade -a

Alla fine devo dire che mi son ritrovato un bel pc..... aggiornato e funzionante.
Il problema  che per installare adesso devo per forza usare pkg_add -r ,
infatti usando sysinstall tenta di reinstallare la versione vecchia di alcune
dipendenze. Esempio: se cerco di installare apache 1.3.33 cerca di scaricare
perl 5.8.x mentre io ho perl 5.8.x_2 (la x  perch non mi ricordo esattamente
il numero.
Ovviamente non ci riesce e non installa neanche apache. Esco da sysinstall,
e da riga di comando uso pkg_add -r  che mi da un normale warning ma non
si lamenta.

Al di l del solito consiglio di usare i ports (cosa che faccio anche se
a volte qualcosa non riesco proprio a compilarlo, tipo Eclipse che mi servirebbe
per lavoro) , come faccio a far capire a sysinstall di dimenticarsi le dipendenze
vecchie se ho quel pacchetto pi aggiornato gi installato?

Nel file ports.all il tag che uso  "." mentre dall' option di sysinstall
la distro si chiama 5.3-RELEASE. Centra qualcosina questo? La butto l per
il fatto che portupgrade -a ha compilato dai ports (quindi usando ports presi
da all) mentre sysinstall lavora con i pacchetti scaricati dai siti ftp che
hanno nel loro path 5.3-RELEASE. 

Spero possiate aiutarmi, perch  noioso ogni volta cercare il nome esatto
da dare da riga di comando.

Gi che ci sono vi chiedo un'altra cosa: portupgrade ha lasciato le libgnomeui
alla 2.6 mentre eclipse le vorrebbe alla 2.8 per installarsi e compilarsi.
Ho provato a installarle a mano dai port ma niente, dai pkg ma niente (ovviamente
non ho usato il flag force per paura e perch lo ritengo un azzardo). In
pratica non ne vuole sapre di installarle (io uso KDE e XFCE4 quindi di gnome
ho solo le librerie).
Cos adesso non ho eclipse, ma mi garberebbe molto (al momento devo usare
linux per lavoro solo per questo, quando potrei usare FreeBSD senza problemi).



__________________________________________________________________
Tiscali Adsl 3 Mega Flat con 3 MESI GRATIS! 
Con Tiscali Adsl 3 Mega Flat navighi con la supervelocita'
a soli 29.95 euro al mese, senza limiti di tempo. E se attivi
entro il 15 Marzo, 3 MESI sono GRATIS!
Scopri come su http://abbonati.tiscali.it/adsl/






Maggiori informazioni sulla lista varie